Peringkat Produk - Paling Banyak Dipromosikan
Pendahuluan
Ambil produk yang paling banyak dipromosikan, dengan fitur berikut:
- Mendukung parameter pemfilteran
- Mendukung pengurutan hasil khusus
Endpoint API
bash
POST /product/v1/rank/mostPromotedIsi Permintaan
| Bidang | Tipe | Wajib | Deskripsi |
|---|---|---|---|
filter | object | Tidak | Parameter filter |
orderby | object | Tidak | Parameter pengurutan |
page | integer | Tidak | Nomor halaman, default: 1 |
pagesize | integer | Tidak | Item per halaman, default: 10 |
page*pagesize<= 500
rentang
pagesize[1, 100]
Nilai Opsional filter
| Bidang | Tipe | Wajib | Deskripsi |
|---|---|---|---|
region | string | Tidak | Negara/Wilayah |
date_info | object | YA | Info tanggal, cth., {'type': 'day', 'value': '2026-02-01'} |
category_id | integer | Tidak | Kategori produk |
is_cross_border | integer | Tidak | Apakah produk lintas negara |
is_fully_managed | integer | Tidak | Apakah produk fully managed |
Wilayah tersedia:
['US', 'ID', 'GB', 'VN', 'TH', 'MY', 'PH', 'SG', 'ES', 'MX', 'DE', 'FR', 'PT', 'NL', 'BE', 'AT', 'PL', 'IT', 'BR', 'JP']
Nilai Opsional orderby
| Bidang | Wajib | Deskripsi |
|---|---|---|
affiliate_count | Tidak | Jumlah afiliasi (menurun) |
total_affiliate_count | Tidak | Total jumlah afiliasi (menurun) |
Contoh Permintaan
bash
curl 'https://openapi.fastmoss.com/product/v1/rank/mostPromoted' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"region": "US",
"category_id": 2,
"date_info": {
"type": "day",
"value": "2026-02-01"
},
# "date_info": {
# "type": "week",
# "value": "2026-18"
# },
# "date_info": {
# "type": "month",
# "value": "2026-02"
# }
},
"orderby": [
{
"field": "affiliate_count",
"order": "desc"
}
],
"page": 1,
"pagesize": 10
}'Isi Respons
data.total
- Tipe: integer
- Deskripsi: Jumlah total hasil
data.list
| Bidang | Tipe | Deskripsi |
|---|---|---|
product_id | string | ID Produk |
title | string | Judul produk |
region | string | Negara/Wilayah |
cover | string | URL sampul produk |
category | object | Kategori produk |
commission_rate | integer | Tingkat komisi |
real_price | string | Harga produk |
currency | string | mata uang harga |
units_sold | integer | Volume penjualan |
gmv | integer | Pendapatan |
affiliate_count | integer | Jumlah afiliasi |
total_affiliate_count | integer | Total jumlah afiliasi |
shop | object | Informasi toko |
data.list.shop
| Bidang | Tipe | Deskripsi |
|---|---|---|
seller_id | string | ID Toko |
name | string | Nama toko |
avatar | string | URL sampul toko |
total_units_sold | integer | Total volume penjualan toko |
Contoh Respons
json
{
"code": 0,
"msg": "success",
"data": {
"total": 500,
"list": [
{
"product_id": "1731252369156444451",
"units_sold": 833,
"gmv": 14994,
"affiliate_count": 214,
"total_affiliate_count": 8176,
"off_shelves": 0,
"launch_time": 1748956607,
"title": "e.l.f. Halo Glow Skin Tint SPF 50 - Hydrating Serum-Like Concealer with Mineral SPF 50 Sunscreen, Lightweight & Water-Resistant, 18 Shades, 30ml",
"cover": "https://s.500fd.com/tt_product/f9b6e759e360420384cdacec82808f85~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg",
"region": "US",
"currency": "USD",
"real_price": "$18.00",
"commission_rate": 1500,
"category": {
"l1": {
"id": 14,
"name": "Beauty & Personal Care"
},
"l2": {
"id": 848648,
"name": "Makeup"
},
"l3": {
"id": 601554,
"name": "Concealer & Foundation\t"
}
},
"shop": {
"avatar": "https://s.500fd.com/tt_shop/9ff01cdd6a0e4497aa55aae3403362c5~tplv-omjb5zjo8w-resize-png:300:300.png",
"seller_id": "7494913857786775843",
"name": "e.l.f. Cosmetics",
"total_units_sold": 2369716,
"is_fully_managed": null
}
}
]
}
}